> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-windows-client-guide/v19/using-parallels-client-for-windows/parallels-client-command-line-parameters/managing-multiple-sessions-from-the-command-line.md).

# Managing multiple sessions from the command line

The following Parallels Client for Windows parameters are available for managing several sessions from the command line:

| Parameters                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | Note                                                                                                                                                                                                                                                                |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| -s filename                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | Write session information to a file called "filename".                                                                                                                                                                                                              |
| -importsettings filename                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | Import session setting from a file called "filename".                                                                                                                                                                                                               |
| -disconnectallsessions                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            | Disconnects all RAS and RDP connections                                                                                                                                                                                                                             |
| -logoffallsessions                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                | Logs off all RAS sessions and disconnects all RDP sessions                                                                                                                                                                                                          |
| <p>-sharedevice "mode:args"</p><p>Possible modes are:</p><ul><li>0: Delete any shared device information. The existing shared connections will be deleted by the client when it is started.</li><li>1: Create a shared connection and shared connection information (i.e. server, port, mode, backup connections, connection mode)</li><li>2: Create a shared connection and shared connection information (i.e. server, port, mode, backup connections), and user name and password. Connection mode is assumed to be credentials.</li></ul><p>Possible arguments are:</p><ul><li>ui: Show the UI dialog to enter the shared connection information and credentials.</li><li>import: Import shared connection information and credentials from a file.</li><li>export: Export shared connection information and credentials to a file.</li></ul> | <p>Manage one shared connection for multiple users working on the same Windows computer.</p><p>Possible combinations are:</p><ul><li>0:</li><li>1:ui</li><li>1:import:file</li><li>1:export:file</li><li>2:ui</li><li>2:import:file</li><li>2:export:file</li></ul> |

## **Usage**

To call Parallels Client for Windows with these parameters, use the appserverclient.exe binary file.

For example, the command below will disconnect all running sessions:

```
appserverclient.exe -disconnectallsessions
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-windows-client-guide/v19/using-parallels-client-for-windows/parallels-client-command-line-parameters/managing-multiple-sessions-from-the-command-line.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
